/********************************************************************************************
 *
 * Copyright 2012-2016  Frank Gollnik  <http://www.jabotics.org>
 *
 * 
 * This file is part of the Java software package org.jabotics (in the following: Jabotics).
 * 
 * Jabotics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Jabotics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Jabotics.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * 
 * Diese Datei ist Teil des Java-Software-Pakets org.jabotics (im Folgenden kurz: Jabotics).
 * 
 * Jabotics ist Freie Software: Sie können es unter den Bedingungen
 * der GNU General Public License, wie von der Free Software Foundation,
 * Version 3 der Lizenz oder (nach Ihrer Wahl) jeder späteren
 * veröffentlichten Version, weiterverbreiten und/oder modifizieren.
 * 
 * Jabotics wird in der Hoffnung, dass es nützlich sein wird, aber
 * OHNE JEDE GEWÄHRLEISTUNG, bereitgestellt; sogar ohne die implizite
 * Gewährleistung der MARKTFÄHIGKEIT oder EIGNUNG FÜR EINEN BESTIMMTEN ZWECK.
 * Siehe die GNU General Public License für weitere Details.
 * 
 * Sie sollten eine Kopie der GNU General Public License zusammen mit Jabotics
 * erhalten haben. Wenn nicht, siehe <http://www.gnu.org/licenses/>.
 * 
 *******************************************************************************************/


package org.jabotics.robot.de;


/**
 * <font color="LimeGreen"><b>&bull;</b></font> Die Schnittstelle ILichtsensor erweitert die Schnittstelle {@link ISensor}
 * um Methoden zur Steuerung der Lichtquelle des Lichtsensors.
 * 
 * @author  Frank Gollnik
 * @version 1.0.3
 */

public interface ILichtsensor extends ISensor
{
    /**
     * <font color="LimeGreen"><b>&bull;</b></font> Schaltet die Beleuchtungs-LED des Lichtsensors ein.
     * Für den EV3-Roboter ist der Lichtsensor bei eingeschalteter roter LED nur für rotes Licht
     * empfindlich, so dass im wesentlichen auch nur das reflektierte LED-Licht registriert wird.
     * Bei ausgeschalteter LED registriert der EV3-Lichtsensor das gesamte Umgebungslicht.
     */
    public void schalteLichtEin();

    /**
     * <font color="LimeGreen"><b>&bull;</b></font> Schaltet die Beleuchtungs-LED des Lichtsensors aus.
     */
    public void schalteLichtAus();
}
